WhatsApp Business
List conversations
v92 (beta): conversations on the workspace's WhatsApp Business number, latest message first (max 100). Row: id, phone, name, profile_name, company_id, company, contact_id, unread, last_at, last_text, window_open (the customer wrote in the last 24 hours — free text can be sent), window_ends_at, marketing_optin, url. Response: enabled (connection on), chats, counts (per filter).
Authorization
AuthorizationheaderrequiredBearer token: API key (sk_…), OAuth access token (mcp_…) or mobile session (xk_…).
Module: CustomersScope:
crm.readQuery parameters
filterstringoptionaldefault: allall, unread, open (waiting for a reply), unlinked (not matched to a company).Values
allunreadopenunlinkedqstringoptionalName or number contains.
company_idintegeroptionalOnly this company's conversations.
Errors
| HTTP | error | Meaning |
|---|---|---|
403 | module | The module is off in the licence or for the user. |
Request
curl https://ornek.solk.app/api/v1/whatsapp/chats \
-H "Authorization: Bearer $SOLK_API_KEY"const res = await fetch("https://ornek.solk.app/api/v1/whatsapp/chats", {
headers: {
Authorization: `Bearer ${process.env.SOLK_API_KEY}`,
},
});
const data = await res.json();import os, requests
r = requests.get(
"https://ornek.solk.app/api/v1/whatsapp/chats",
headers={"Authorization": f"Bearer {os.environ['SOLK_API_KEY']}"},
)
print(r.json())Response